# org.springframework.jms.connection

## Interfaces

- ConnectionFactoryUtils.ResourceFactory
- SessionProxy
- SmartConnectionFactory

## Classes

- CachingConnectionFactory
- ChainedExceptionListener
- ConnectionFactoryUtils
- DelegatingConnectionFactory
- JmsResourceHolder
- JmsTransactionManager
- SingleConnectionFactory
- TransactionAwareConnectionFactoryProxy
- UserCredentialsConnectionFactoryAdapter

## Exceptions

- SynchedLocalTransactionFailedException